<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class PartnerApplicationReceived extends Mailable
{
    use Queueable, SerializesModels;

    public $partnerData;

    public function __construct(array $partnerData)
    {
        $this->partnerData = $partnerData;
    }

    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'New Partner Application Received',
        );
    }

    public function content(): Content
    {
        return new Content(
            view: 'emails.partner_application_alert',
        );
    }

    public function attachments(): array
    {
        return [];
    }
}